package proto

type TaskLogPayload struct {
	PayloadType int    `json:"payloadType"`
	TaskId      int64  `json:"taskId"`
	TaskCode    string `json:"taskCode"`
	NodeId      int64  `json:"nodeId"`
	NodeGuid    string `json:"nodeGuid"`
	TaskContent string `json:"taskContent"`
	Status      int    `json:"status"` //1：执行成功;2:执行失败
	EventTime   int64  `json:"eventTime"`
}
type TaskLogProgress struct {
	PayloadType     int   `json:"payloadType"`
	TaskId          int64 `json:"taskId"`
	TotalCount      int64 `json:"totalCount"`
	CompletedCount  int64 `json:"completedCount"`
	FailingCount    int64 `json:"failingCount"`
	UnfinishedCount int64 `json:"unfinishedCount"`
}
